#pragma once
#include "CompositeSimulationResult.h"
using namespace std;

class SingleSimulationResultDTO: virtual public CompositeSimulationResult
{
public:
	double getAvgServiceTime();
	void setAvgServiceTime(double _avgServiceTime);
	void setID(int _id);
	string AbstractSimulationResultDTO::getID();
	int AbstractSimulationResultDTO::getType();
	SingleSimulationResultDTO(){
		avgServiceTime = 0;
		id = 0;
	}
private:
	static const int type = 2;
	int id;
	double avgServiceTime;
};